System Requirements

Server Requirements

Epicenter Server runs on a client workstation, not on the Exchange Server. Epicenter Server is typically run in a VM and has a minimal impact on system resources.

The system requirements for Epicenter Server are as follows:

  • Microsoft Windows Server 2008R2/2012R2, and Server 2016/2019. Windows Pro 7, 8.x, 10 are also supported. Both the 32-bit and the 64-bit versions of Windows are supported. UPDATE 5/30/2019: 64-bit Epicenter is not currently supported on Windows 10 nor Windows Server 2016/2019.
  • Microsoft Outlook 2013/2016/2019/365, 32-bit and 64-bit. See Hosted Exchange for more information. The "Click to Run" version of Outlook is supported. On Windows 10 and Windows Server 2016, only 32-bit Outlook is supported.
  • 20MB hard disk space.
  • Epicenter requires special permissions to open user mailboxes. See Set Mailbox Permissions.

To perform automatic wireless synchronization with smartphones, your infrastructure must include:

  • Exchange Server 2013/2016/2019 or Microsoft 365 (formerly Office 365).
  • Wireless connectivity from the smartphone to the synchronization server.
  • ActiveSync must be enabled on the Exchange Server.

Device Requirements

Epicenter supports all devices that can sync contacts through Exchange ActiveSync, including but not limited to:

  • Android version 4.2.2 or later, phones and tablets
  • iPhone/iPad with iOS version 7 or later
  • Windows Mobile/Windows Phone

Client Requirements

 The client is only required for users who cannot sync wirelessly. Most installations will not use the client.

The system requirements for the Epicenter client are as follows:

  • Microsoft Windows 7/8/10. The “Home” versions of Windows are supported by the client.
  • Internet browser with internet connectivity
  • Microsoft Outlook 2013/2016/2019 32-bit. Outlook 64-bit is not supported.